package test;

import java.io.FileOutputStream;
import java.io.IOException;

import com.ibm.faces.util.Base64;

public class MyBase64Decoder {

	String encoded;
	byte[] decoded;
	
	public MyBase64Decoder(String value){
		encoded=value;
	}
	
	public void writeToFile(String fileName) throws IOException{
		decode();
		FileOutputStream out = new FileOutputStream(fileName);
		out.write(decoded);
		out.close();
	}
	
	public int getSize(){
		decode();
		return decoded.length;
	}
	
	private void decode(){
		if (decoded==null)
			decoded=Base64.decode(encoded);
	}
}
